予約取得
GET
/reservations/{reservation_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/reservations/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/reservations/example \ --header 'Authorization: Bearer <token>'予約情報を取得します。
対象プラン
- フードビジネスプラン
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”reservation_id
required
string
予約ID
Responses
Section titled “Responses”OK
Media typeapplication/json
Reservation
予約情報
object
id
required
予約ID
string
storeId
店舗ID
string
reservationCode
予約コード
外部システムから予約を識別するための文字列
string
startAt
予約開始日時(RFC3339の日時形式)[YYYY-MM-DDThh:mm:ssTZD]
string format: date-time
endAt
予約終了日時(RFC3339の日時形式)[YYYY-MM-DDThh:mm:ssTZD]
string format: date-time
persons
人数
object
adults
人数(大人)
integer
children
人数(子供)
integer
reservationPersonName
予約者名
string
reservationPersonNameKana
予約者名(カナ)
string
status
予約ステータス
waiting: 来店待ちcoming: ご来店finished: お食事済paid: お会計済canceled: キャンセル
string
tables
テーブル情報
Array<object>
object
id
required
テーブルID
string
name
テーブル名
string
phoneNumber
電話番号
string
staff
受付スタッフ
object
id
required
受付スタッフID
string
name
受付スタッフ名
string
note
メモ
string
reservedAt
予約受付日時(RFC3339の日時形式)[YYYY-MM-DDThh:mm:ssTZD]
string
reservedFrom
予約元
string
tableUseId
テーブル利用ID
string
Examples
Exampleレスポンス例
{ "id": "1", "storeId": "1", "reservationCode": "101", "startAt": "2023-06-06T12:00:00+09:00", "endAt": "2023-06-06T14:00:00+09:00", "persons": { "adults": 2, "children": 1 }, "reservationPersonName": "山田", "reservationPersonNameKana": "ヤマダ", "status": "waiting", "tables": [ { "id": "1", "name": "A1" } ], "phoneNumber": "00-0000-0000", "staff": { "id": "1", "name": "高橋" }, "note": "", "reservedAt": "2023-06-05T17:02:39+09:00", "reservedFrom": "smaregi-pos", "tableUseId": "123"}Forbidden
- 対象契約のプランで利用できない場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}Not Found
- 指定したデータが存在しない場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}